# Class TCefLayoutRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFLayout

## Declaration

`type TCefLayoutRef = class(TCefBaseRefCountedRef, ICefLayout)`

## Description

A Layout handles the sizing of the children of a Panel according to implementation-specific heuristics. Methods must be called on the browser process UI thread unless otherwise indicated.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_layout_capi.h">CEF source file: /include/capi/views/cef_layout_capi.h (cef_layout_t))

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefLayoutRef

## Overview

### Methods

| `function AsBoxLayout: ICefBoxLayout;`
| `function AsFillLayout: ICefFillLayout;`
| `function IsValid: boolean;`
| `class function UnWrap(data: Pointer): ICefLayout;`

## Description

### Methods

| `function AsBoxLayout: ICefBoxLayout;`
Returns this Layout as a BoxLayout or NULL if this is not a BoxLayout.

| `function AsFillLayout: ICefFillLayout;`
Returns this Layout as a FillLayout or NULL if this is not a FillLayout.

| `function IsValid: boolean;`
Returns true (1) if this Layout is valid.

| `class function UnWrap(data: Pointer): ICefLayout;`
Returns a ICefLayout instance using a PCefLayout data pointer.

Generated by PasDoc 0.16.0-snapshot.